Bug 308120 - Ministro stops downloading libs if clicking outside the download area
Summary: Ministro stops downloading libs if clicking outside the download area
Status: RESOLVED FIXED
Alias: None
Product: Necessitas
Classification: Unclassified
Component: Ministro (show other bugs)
Version: alpha4
Platform: Android Android 4.x
: NOR normal (vote)
Target Milestone: Unspecified
Assignee: BogDan Vatra
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-09 11:26 UTC by tomaslov
Modified: 2012-11-05 19:11 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tomaslov 2012-10-09 11:26:53 UTC
When Ministro downloads the libs: 
If you're clicking on the screen (to keep it alive or some other reason) outside the download info area with progressbar etc., Ministro stops downloading and the started app says: "Ministro can not satisfy your application dependencies". 

As many users download some 20 Mb on mobile network, this may take some time. Inpatient users may be tempted to click somewhere during the downlad. Clicking anywhere in the Ministro view should therefore not cancel the download, but rather do nothing, just as clicking in the download info area.

Restarting the app will initiate a new download sequence in Ministro, which is good. 

Reproducible: Always
Comment 1 BogDan Vatra 2012-11-04 11:00:37 UTC
Git commit 3d1bddeb80cb133d221af916cb587e9f4f5e5641 by BogDan Vatra.
Committed on 04/11/2012 at 10:29.
Pushed by vatra into branch 'unstable'.

Don't cancel the download if the users touces outside the dialog bounds

M  +1    -0    Ministro/src/org/kde/necessitas/ministro/MinistroActivity.java

http://commits.kde.org/ministro/3d1bddeb80cb133d221af916cb587e9f4f5e5641
Comment 2 tomaslov 2012-11-05 19:11:00 UTC
I tested this with Ministro II v8.9.1, and it worked great :) 
Thanks alot!